package com.uas.platform.oos.core.validate;

public class ArgumentValidate {

  /**
   * Assert parameter is not null.
   *
   * @param parameterValue    the value of parameter
   * @param errorMessage      the error message
   */
  public static void assertParameterNotNull(Object parameterValue, String errorMessage) {
    if (parameterValue == null) {
      throw new IllegalArgumentException(errorMessage);
    }
  }

  /**
   * Assert string type parameter is not null or empty.
   *
   * @param parameterValue    the value of parameter
   * @param errorMessage      the error message
   */
  public static void assertStringNotEmpty(String parameterValue, String errorMessage) {
    if (parameterValue == null || parameterValue.length() == 0) {
      throw new IllegalArgumentException(errorMessage);
    }
  }
}
