package com.uas.platform.oos.migration.dao;

import com.uas.platform.oos.migration.entity.MigrationFile;
import com.uas.platform.oos.migration.entity.MigrationFile.FileStatus;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

@Repository
public interface MigrationFileRepository extends JpaSpecificationExecutor<MigrationFile>,
    JpaRepository<MigrationFile, Long> {

  MigrationFile findByOldUrlOrNewUrl(String oldUrl, String newUrl);

  MigrationFile findByOldUrl(String oldUrl);

  Long countByStatus(FileStatus status);

  Page<MigrationFile> readByStatus(FileStatus status, Pageable pageable);

}
