package com.uas.platform.oos.migration.dao;

import com.uas.platform.oos.migration.entity.MigrationFile;
import com.uas.platform.oos.migration.entity.MigrationFile.FileStatus;
import com.uas.platform.oos.migration.entity.ResourceFields;
import java.util.List;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface ResourceFieldsRepository extends JpaRepository<ResourceFields, Long> {

  ResourceFields findByFieldNameAndMigration(String fieldName, MigrationFile migration);

  Long countByFieldName(String fieldName);

  @Query(value = "select count(*) from ResourceFields r where r.fieldName = :fieldName and r.status = :status")
  Long countByFieldNameAndStatus(@Param("fieldName") String fieldName,
      @Param("status") FileStatus status);

  List<ResourceFields> findByMigration(MigrationFile migration);

  Page<ResourceFields> readByFieldNameAndStatus(String fieldName, FileStatus status,
      Pageable pageable);
}
