package com.uas.platform.oos.migration.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.uas.platform.oos.core.util.JacksonUtils;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Mock url.
 *
 * @author huxz
 */
@Entity
@Table(name = "a_mock_url")
@JsonInclude(Include.NON_EMPTY)
public class MockUrl {

  @Id
  @GeneratedValue(strategy = GenerationType.AUTO)
  private Long id;

  /**
   * file link.
   */
  private String url;

  /**
   * picture link.
   */
  private String pictureUrl;

  public MockUrl() {
  }

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }

  public String getPictureUrl() {
    return pictureUrl;
  }

  public void setPictureUrl(String pictureUrl) {
    this.pictureUrl = pictureUrl;
  }

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }
}
