package com.uas.platform.oos.migration.service;

import com.uas.platform.oos.migration.entity.MigrationFile;
import com.uas.platform.oos.migration.entity.OperationResult;
import com.uas.platform.oos.migration.service.impl.MigrationFileServiceImpl.MigrationStatistic;
import java.util.List;
import org.springframework.data.domain.Pageable;

public interface MigrationFileService {

  /**
   * Create a migration file log.
   *
   * @param tableName   the name of table.
   * @param fieldName   the name of field.
   */
  Long createMigrationFileLog(String tableName, String fieldName);

  /**
   * Gain statistics for migration.
   *
   * @param tableName   the name of table
   * @param fieldName   the name of field
   */
  OperationResult gainStatisticsForMigration(String tableName, String fieldName);

  /**
   * Save migration file log to database.
   *
   * @param url     the url of resource
   */
  MigrationFile saveMigrationFile(String url);

  /**
   * migrate files to OOS.
   * @param pageable
   */
  Long migrateFileToOos(Pageable pageable);

  /**
   * Gain statistics for moving files.
   */
  List<MigrationStatistic> gainStatisticsForMovingFile();

  /**
   * Gain fields will be migrating.
   */
  List<String> gainFieldsWillMigrate();

  Long syncResourceLink(String tableName, String fieldName);
}
