package com.uas.platform.oos.migration.service.impl;

import com.uas.platform.oos.migration.dao.MockUrlRepository;
import com.uas.platform.oos.migration.entity.MockUrl;
import com.uas.platform.oos.migration.service.MockUrlService;
import java.util.UUID;
import javax.transaction.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MockUrlServiceImpl implements MockUrlService {

  private final MockUrlRepository mockUrlRepository;

  @Autowired
  public MockUrlServiceImpl(MockUrlRepository mockUrlRepository) {
    this.mockUrlRepository = mockUrlRepository;
  }

  @Override
  public void mockBatchUrl() {
    String baseUrl = "http://www.us.com";

    for (int i = 0; i < 10000; i++) {
      String uuid = UUID.randomUUID().toString().replace("-", "");
      saveMockUrl(baseUrl + "/image/" + uuid + ".jpg");
    }
  }

  /**
   * Save mocked url to database.
   *
   * @param url     mocked url
   */
  @Transactional
  public void saveMockUrl(String url) {
    MockUrl mockUrl = new MockUrl();
    mockUrl.setUrl(url);
    mockUrl.setPictureUrl(url);
    mockUrlRepository.save(mockUrl);
  }
}
